Bug 1572178 - Please include CredSSP support
Summary: Please include CredSSP support
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-winrm
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1581318
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 10:45 UTC by Ralf Ertzinger
Modified: 2018-11-30 21:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:41:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Ralf Ertzinger 2018-04-26 10:45:23 UTC
Description of problem:
python-winrm can be built with CredSSP support to allow using this authentication method. Please consider enabling this feature. This will require requests-credssp as a dependency.

Version-Release number of selected component (if applicable):
python2-winrm-0.3.0-1.fc27.noarch

How reproducible:
always

Steps to Reproduce:
1. Install python-winrm, try using CredSSP.
2.
3.


Additional info:
See https://github.com/diyan/pywinrm#to-use-credssp-authentication-you-need-these-optional-dependencies for a full dep list.

Comment 1 James Hogarth 2018-04-26 10:52:57 UTC
This is indeed on my wishlist for "do this soon"

I recently packaged the ntlm-auth dependency so credssp should now have everything in place to package it.

Techincally nothing needs to be done in pywinrm to enable it, just the library needs to be there.

For now you can shortcut with a pip install of requests-credssp (I realise this isn't ideal).

I'll leave this bugzilla entry open, and link the review request when I raise it, to make it easier for you to see when the package is ready in the repos.

Comment 2 Ralf Ertzinger 2018-04-26 10:58:40 UTC
Cheers, looking forward to it.

Comment 3 Ben Cotton 2018-11-27 15:38:37 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:41:57 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.